MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0028444Open CASCADE[OCCT] OCCT:Data Exchangepublic2017-02-06 18:122018-10-21 22:06
Reporterika 
Assigned Toapn 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.2.0Fixed in Version[OCCT] 7.2.0 
Summary0028444: Data Exchange - Missed text blocks in Saved Views
DescriptionSome text blocks are not displayed in Views.
Steps To Reproducegdt export C1
gdt presentation B9
gdt view B6
TagsNo tags attached.
Test case numbergdt export C1; gdt presentation B9; gdt view B6
Attached Files? file icon bug28444_nist_ftc_06_asme1_ct5240_rd.stp (1,710,893 bytes) 2017-02-07 12:13

- Relationships
related to 0028044closedapn Data Exchange - implement data structures for Saved Views 
related to 0030277feedbackgka Coding Rules - avoid extremely long class names in STEP packages 

-  Notes
(0063477)
git (administrator)
2017-02-07 12:13

Branch CR28444 has been created by ika.

SHA-1: 78c144fc3e3491e05446dbf297a2e6665cfbe051


Detailed log of new commits:

Author: ika
Date: Wed Feb 1 19:17:48 2017 +0300

    0028444: Data Exchange - Missed text blocks in Saved Views
    
    Add new STEP entity to connect dimension semantic with presentation.
    Fix number of GDTs in Saved View.
(0063478)
ika (developer)
2017-02-07 12:14

Dear GKA,
could you please review branch CR28444?
(0063493)
gka (developer)
2017-02-07 14:23

Branch CR28444 is ready to be tested.
(0063704)
mkv (tester)
2017-02-08 17:31

Dear BugMaster,
Branch CR28444 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: 78c144fc3e3491e05446dbf297a2e6665cfbe051

Number of compiler warnings:

occt component :
Linux: 0 (0 on master)
Windows: 0 (0 on master)
MacOS : 0 (0 on master)

products component :
Linux: 64 (64 on master)
Windows: 0 (0 on master)
MacOS : 1193

Regressions/Differences/Improvements:
No regressions/differences

Testing cases:
http://occt-tests/CR28444-master-OCCT/Debian70-64/gdt/export/C1.html [^]
http://occt-tests/CR28444-master-OCCT/Windows-64-VC10/gdt/export/C1.html [^]
gdt export C1: OK
http://occt-tests/CR28444-master-OCCT/Debian70-64/gdt/presentation/B9.html [^]
http://occt-tests/CR28444-master-OCCT/Windows-64-VC10/gdt/presentation/B9.html [^]
gdt presentation B9: OK
http://occt-tests/CR28444-master-OCCT/Debian70-64/gdt/view/B6.html [^]
http://occt-tests/CR28444-master-OCCT/Windows-64-VC10/gdt/view/B6.html [^]
gdt view B6: OK

Testing on Linux:
occt component :
Total MEMORY difference: 91962035 / 91294339 [+0.73%]
Total CPU difference: 19743.240000000325 / 19662.570000000327 [+0.41%]
products component :
Total MEMORY difference: 30940000 / 30945304 [-0.02%]
Total CPU difference: 5516.809999999967 / 5489.009999999974 [+0.51%]

Testing on Windows:
occt component :
Total MEMORY difference: 57128614 / 57124391 [+0.01%]
Total CPU difference: 18292.490058798656 / 18512.045866198645 [-1.19%]
products component :
Total MEMORY difference: 22184414 / 22145684 [+0.17%]
Total CPU difference: 5473.575886799973 / 5407.618663999976 [+1.22%]

There are no differences in images found by testdiff.
(0063705)
mkv (tester)
2017-02-08 17:31

Dear BugMaster,
Branch CR28444 is TESTED.
(0064499)
git (administrator)
2017-03-20 14:35

Branch CR28444 has been deleted by inv.

SHA-1: 78c144fc3e3491e05446dbf297a2e6665cfbe051

- Related Changesets
occt: master c4fa1c2c
Timestamp: 2017-02-01 16:17:48
Author: ika
Committer: apn
Details ] Diff ]
0028444: Data Exchange - Missed text blocks in Saved Views

Add new STEP entity to connect dimension semantic with presentation.
Fix number of GDTs in Saved View.
mod - src/RWStepAP214/RWStepAP214_GeneralModule.cxx Diff ] File ]
mod - src/RWStepAP214/RWStepAP214_ReadWriteModule.cxx Diff ] File ]
mod - src/RWStepVisual/FILES Diff ] File ]
add - src/RWStepVisual/RWStepVisual_RWAnnotationCurveOccurrenceAndAnnotationOccurrenceAndGeomReprItemAndReprItemAndStyledItem.cxx Diff ] File ]
add - src/RWStepVisual/RWStepVisual_RWAnnotationCurveOccurrenceAndAnnotationOccurrenceAndGeomReprItemAndReprItemAndStyledItem.hxx Diff ] File ]
mod - src/StepAP214/StepAP214_Protocol.cxx Diff ] File ]
mod - src/STEPCAFControl/STEPCAFControl_Reader.cxx Diff ] File ]
mod - src/StepVisual/FILES Diff ] File ]
add - src/StepVisual/StepVisual_AnnotationCurveOccurrenceAndAnnotationOccurrenceAndGeomReprItemAndReprItemAndStyledItem.cxx Diff ] File ]
add - src/StepVisual/StepVisual_AnnotationCurveOccurrenceAndAnnotationOccurrenceAndGeomReprItemAndReprItemAndStyledItem.hxx Diff ] File ]
add - tests/gdt/export/C1 Diff ] File ]
add - tests/gdt/presentation/B9 Diff ] File ]
mod - tests/gdt/view/A1 Diff ] File ]
mod - tests/gdt/view/A2 Diff ] File ]
mod - tests/gdt/view/A3 Diff ] File ]
mod - tests/gdt/view/A4 Diff ] File ]
mod - tests/gdt/view/A5 Diff ] File ]
mod - tests/gdt/view/A6 Diff ] File ]
mod - tests/gdt/view/A7 Diff ] File ]
mod - tests/gdt/view/A8 Diff ] File ]
mod - tests/gdt/view/A9 Diff ] File ]
mod - tests/gdt/view/B1 Diff ] File ]
mod - tests/gdt/view/B2 Diff ] File ]
mod - tests/gdt/view/B4 Diff ] File ]
mod - tests/gdt/view/B5 Diff ] File ]
add - tests/gdt/view/B6 Diff ] File ]

- Issue History
Date Modified Username Field Change
2017-02-06 18:12 ika New Issue
2017-02-06 18:12 ika Assigned To => ika
2017-02-07 12:13 git Note Added: 0063477
2017-02-07 12:13 ika File Added: bug28444_nist_ftc_06_asme1_ct5240_rd.stp
2017-02-07 12:14 ika Note Added: 0063478
2017-02-07 12:14 ika Assigned To ika => gka
2017-02-07 12:14 ika Status new => resolved
2017-02-07 12:14 ika Steps to Reproduce Updated View Revisions
2017-02-07 14:23 gka Note Added: 0063493
2017-02-07 14:23 gka Assigned To gka => bugmaster
2017-02-07 14:23 gka Status resolved => reviewed
2017-02-07 14:31 mkv Assigned To bugmaster => mkv
2017-02-08 17:31 mkv Note Added: 0063704
2017-02-08 17:31 mkv Note Added: 0063705
2017-02-08 17:31 mkv Assigned To mkv => bugmaster
2017-02-08 17:31 mkv Status reviewed => tested
2017-02-08 17:32 mkv Test case number => gdt export C1; gdt presentation B9; gdt view B6
2017-02-10 14:33 apn Changeset attached => occt master c4fa1c2c
2017-02-10 14:33 apn Assigned To bugmaster => apn
2017-02-10 14:33 apn Status tested => verified
2017-02-10 14:33 apn Resolution open => fixed
2017-03-20 14:35 git Note Added: 0064499
2017-05-19 14:03 abv Relationship added related to 0028044
2017-09-29 16:18 user533 Fixed in Version => 7.2.0
2017-09-29 16:25 user533 Status verified => closed
2018-10-21 22:06 kgv Relationship added related to 0030277


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker